Το WordPress 4.5 “Coleman” κυκλοφόρησε τη περασμένη εβδομάδα με πάρα πολλά προβλήματα. Ωστόσο, η ομάδα προγραμματιστών πίσω από το WordPress ανακάλυψε δύο bugs τα οποία έχει ως σκοπό να διορθώσει με μια νέα ενημέρωση η οποία θα κυκλοφορήσει την ερχόμενη εβδομάδα.

Το πρώτο πρόβλημα είναι με το TinyMCE, του οποίοι οι toolbars και τα tabs δεν υποστηρίζονται στην έκδοση 50.0.2661.75 beta-m (64-bit) του Google Chrome. Το δεύτερο πρόβλημα είναι με τα πρότυπα σελίδων που περιλαμβάνουν widgets (το style είναι λανθασμένο). Το WordPress 4.5 πρόσθεσε μια μοναδική κατηγορία class την οποία πολλά θέματα χρησιμοποιούν, συμπεριλαμβανομένων και του Twenty Eleven, που σπάει τη διάταξη του στυλ. Μετά από μια μεγάλη συζήτηση και αρκετές δοκιμές, η απόφαση της ομάδας ήταν να επαναφέρει την αλλαγή.

Το WordPress 4.5.1 RC 1 είναι διαθέσιμο και η ομάδα θέλει όσο το δυνατόν περισσότερα άτομα γίνεται για να τεστάρουν το TinyMCE και να αναφέρουν τα προβλήματα και τα bugs που βρίσκουν. Αν θεωρείς πως βρήκες κάποιο bug στη νέα έκδοση, τότε καλό θα ήταν να την αναφέρεις στα support forums (Alpha/Beta).

Η νέα έκδοση του WordPress 4.5 έφερε πολλά προβλήματα στην λειτουργικότητα αρκετών προσθέτων και θεμάτων, οπότε αν την χρησιμοποιείς κι εσύ, καλό είναι να ενημερώνεις ότι έχεις όσο το δυνατόν πιο γρήγορα γίνεται. Αν δεν ενημέρωσες το WordPress σου και παραμένεις στην έκδοση 4.4, καλό είναι να παραμείνεις εκεί έως ότου όλα τα προβλήματα διορθωθούν.

Η νέα έκδοση του WordPress (v4.5.1) διατέθηκε σε όλους τους χρήστες και διορθώνει συνολικά 12 προβλήματα από την έκδοση 4.5. Περισσότερες πληροφορίες μπορείς να διαβάσεις εδώ.

Το WordPress 4.5.1 αναμένεται να κυκλοφορήσει την ερχόμενη εβδομάδα
5 (100%) 4 votes

Διάβασε επίσης